---
title: WebAssembly.CompileError() constructor
slug: Web/JavaScript/Reference/Global_Objects/WebAssembly/CompileError/CompileError
tags:
  - Constructor
  - JavaScript
  - Reference
  - WebAssembly
---
<div>{{JSRef}}</div>

<p>The <code><strong>WebAssembly.CompileError()</strong></code> constructor creates a new WebAssembly <code>CompileError</code> object, which indicates an error during WebAssembly decoding or validation.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><code>new WebAssembly.CompileError(<var>message</var>, <var>fileName</var>, <var>lineNumber</var>)</code></pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>message</code> {{optional_inline}}</dt>
 <dd>Human-readable description of the error.</dd>
 <dt><code>fileName</code> {{optional_inline}}</dt>
 <dd>The name of the file containing the code that caused the exception.</dd>
 <dt><code>lineNumber</code> {{optional_inline}}</dt>
 <dd>The line number of the code that caused the exception.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Creating_a_new_CompileError_instance">Creating a new CompileError instance</h3>

<p>The following snippet creates a new <code>CompileError</code> instance, and logs its details to the console:</p>

<pre class="brush: js">try {
  throw new WebAssembly.CompileError('Hello', 'someFile', 10);
} catch (e) {
  console.log(e instanceof CompileError); // true
  console.log(e.message);                 // "Hello"
  console.log(e.name);                    // "CompileError"
  console.log(e.fileName);                // "someFile"
  console.log(e.lineNumber);              // 10
  console.log(e.columnNumber);            // 0
  console.log(e.stack);                   // returns the location where the code was run
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('WebAssembly JS', '#exceptiondef-compileerror', 'WebAssembly constructors')}}</td>
  </tr>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-nativeerror-constructors', 'NativeError constructor')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.WebAssembly.CompileError.CompileError")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/WebAssembly">WebAssembly</a> overview page</li>
 <li><a href="/en-US/docs/WebAssembly/Concepts">WebAssembly concepts</a></li>
 <li><a href="/en-US/docs/WebAssembly/Using_the_JavaScript_API">Using the WebAssembly JavaScript API</a></li>
</ul>

